---
title: "Create Paylink"
slug: "create-paylink"
updated: 2026-03-24T11:49:06Z
published: 2026-03-24T11:49:06Z
canonical: "api-docs.blinkpayment.co.uk/create-paylink"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.
# Create Paylink
Post/api/paylink/v1/paylinks
This endpoint creates a payment link to be used for a one-time transaction.
**Request Body**
- `payment_method`(array, required): Can be one or more of the following:
- `credit-card`
- `direct-debit`
- `open-banking`
- `transaction_type`(string, required): Can be one of the following:
- `SALE`
- `PREAUTH`
- `VERIFY`
- `CREDIT`
- `full_name` (string, required): Customer full name.
- `email` (string, optional): Customer email.
- `mobile_number` (string, optional): Customer mobile number.
- `transaction_unique` (string, required): Unique transaction reference.
- `is_decide_amount` (boolean, optional): If the customer decides the amount.
- `amount` (float, required): Transaction amount.
- `currency` (string, required): Currency of the transaction. See the token's response for available currencies.
- `is_notification_required` (boolean, optional): If set to true, it will send the paylink to the customer by email and/ or SMS. Defaults to false.
- `address`(string, optional): Customer's billing address, this will prefill the paylink with the address entered. The customer can change it.
- `postcode`(string, optional): Customer's billing postcode, this will prefill the paylink with the address entered. The customer can change it.
- `reminder` (boolean, optional): If reminder will be sent to the customer. Defaults to false.
- `reminder_interval_count` (integer, optional): If reminder is true, you need to mention the number of days/weeks
- `reminder_interval_frequency`(string, optional): If reminder is true, you need to mention the interval frequency. It can be one of the following:
1. `days`
2. `week`
- `reminder_start_date`(string, optional): If reminder is true, then the user can add reminder start date to send reminder notification of the Paylink to the customer.
- `notes` (string, optional): Add any note to describe the Paylink request to the customer.
- `notification_url` (string, optional): POST URL on your domain, where Blink will send status updates via POST when the transaction status is changed e.g. https://mydomain.com/notification.
- `redirect_url` (string, optional): GET URL on your domain, where Blink will send transaction details when the transaction is done e.g. [https://mydomain.com/return](https://mydomain.com/return).
- `expiry_date` (string, optional): date to set the paylink to expire e.g. "15-09-2027"
- `merchant_data` (string, optional): Additional custom data related to the merchant or customer. The field should be sent as a stringified json.
**Response Body**
- `id` (string): The unique identifier for the payment link.
- `paylink_url` (string): The URL for the payment link that can be shared with the customer.
- `transaction_unique` (string): The unique identifier of the transaction that will be made from the payment link.
- `reminder` (boolean): If reminder will be sent to the customer.
- `reminder_interval_count` (integer): If reminder is true, you need to mention the number of days/weeks
- `reminder_interval_frequency`(string): If reminder is true, you need to mention the interval frequency.
- `expiry_date` (string): date to set the paylink to expire e.g. "15-09-2027"
- `merchant_data` (json): Additional custom data related to the merchant or customer.
SecurityHTTPType bearer
Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c
Body parametersobject Example{
"payment_method": [
"credit-card",
"open-banking"
],
"transaction_type": "SALE",
"full_name": "Joe Blogs",
"email": "j.blogs@blinkpayment.co.uk",
"currency": "GBP",
"mobile_number": "0753215468",
"transaction_unique": "Postman Test",
"is_decide_amount": true,
"amount": 2.01,
"notes": "test note",
"reminder": true,
"reminder_interval_count": 2,
"reminder_interval_frequency": "days",
"notification_url": "https://blinkpayment.co.uk/webhook",
"redirect_url": "https://api-demo-php.blinkpayment.co.uk/return"
}
Responses200
Successful response